## icecat 3.6.16

=== debian/changelog ===
icecat (3.6.16-1) unstable; urgency=low

  * Conversion to quilt v3 format.
  * Fixed Mozilla bug making the build fail on MIPS ABI n32
    (https://bugzilla.mozilla.org/show_bug.cgi?id=528687).
  * Fixed a bug preventing images to be displayed on MIPS
    (http://lists.gnu.org/archive/html/bug-gnuzilla/2011-02/msg00030.html)

 -- Christophe Jarry <christophe.jarry@ouvaton.org>  Wed, 18 Sep 2011 15:07:24 +0200
