=== debian/control ===
Source: icecat
Section: web
Priority: optional
Maintainer: Giuseppe Scrivano <gscrivano@gnu.org>
Uploaders: Christophe Jarry <christophe.jarry@ouvaton.org>
Build-Depends: debhelper (>= 7), autotools-dev, libgtk2.0-dev, libcairo2-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libxft-dev, zip, libdbus-glib-1-dev, libidl-dev, python-dev, libx11-dev, libxt-dev, libxcb1-dev, libasound2-dev, libnotify-dev, libiw-dev
Build-Conflicts: graphicsmagick-imagemagick-compat
Standards-Version: 3.9.1
Homepage: http://www.gnu.org/software/gnuzilla

Package: icecat
Architecture: i386 amd64 mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}, fontconfig, psmisc, procps, debianutils (>= 1.16), libgtk2.0-0, libpng12-0, libcairo2, zlib1g, libjpeg62, libxft2, libnotify1, libiw29
Suggests: mozilla-plugin-gnash|swfdec-mozilla
Description: GNU version of the Firefox browser
 GNUzilla is the GNU version of the Mozilla suite, and GNU
 IceCat is the GNU version of the Firefox browser. Its main advantage
 is an ethical one: it is entirely free software. While the source code
 from the Mozilla project is free software, the binaries that they
 release include additional non-free software. Also, they distribute
 and recommend non-free software as plug-ins.
 .
 This package doesn't install any flash decoder.
