## icecat 128.13.0-1gnu1+build1-0.12.0trisquel1

=== debian/changelog ===
icecat (128.13.0-1gnu1+build1-0.12.0trisquel1) ecne; urgency=medium

  * Imported into Trisquel 12 - ecne

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 07 Aug 2025 22:09:34 +0000

icecat (128.13.0-1gnu1+build1-0.12.0) ecne; urgency=medium

  * New upstream stable release (icecat-128.13.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Thu, 07 Aug 2025 14:18:35 -0600

icecat (128.12.0-1gnu1+build1-0.12.0) ecne; urgency=medium

  * Initial packaging for Trisquel GNU/Linux and new upstream IceCat
    stable release (icecat-128.12.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Thu, 17 Jul 2025 03:46:00 -0600

firefox-esr (128.12.0esr+build1-0ubuntu0.24.04.1~mt1) noble; urgency=medium

  * New upstream stable release (FIREFOX_128_12_0esr_BUILD1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 17 Jun 2025 08:46:48 +0200
