=== debian/control ===
# vim:noexpandtab:
Source: icecat
Section: web
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Vcs-Git: https://git.cmxsl.org/CMXSL.org/trisquel-icecat
Build-Depends: cdbs,
	locales,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk-3-dev (>= 3.14),
	libglib2.0-dev (>= 2.42),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	icu-devtools [s390x],
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	nasm (>= 2.14.02),
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python3 (>= 3.8),
	libaom-dev [ppc64el riscv64 s390x],
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-18,
	libclang-18-dev,
	llvm-18-dev,
	cargo-1.80,
	rustc-1.80,
	nodejs (>= 12.22.12)
Standards-Version: 3.9.1

Package: icecat
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: ${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Provides: www-browser,
	firefox-esr,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: webext-ublock-origin,
	fonts-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from GNUzilla
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: icecat-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	icecat (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from GNUzilla - debug symbols
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the IceCat web
 browser

Package: icecat-dev
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Safe and easy web browser from GNUzilla - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: icecat-mozsymbols
Architecture: amd64 i386
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from GNUzilla - Breakpad symbols
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the IceCat symbols in a format expected by GNUzilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: icecat-geckodriver
Architecture: any
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	icecat (= ${binary:Version})
Description: Safe and easy web browser from GNUzilla - geckodriver
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains geckodriver, a proxy for using W3C WebDriver-compatible
 clients (such as selenium) to interact with Gecko-based browsers. See
 https://firefox-source-docs.mozilla.org/testing/geckodriver/ for details.

# Transitional packages below here

# Language packs below here

Package: icecat-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for IceCat
 This package contains Afrikaans translations and search plugins
 for IceCat

Package: icecat-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Aragonese language pack for IceCat
 This package contains Aragonese translations and search plugins
 for IceCat

Package: icecat-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for IceCat
 This package contains Arabic translations and search plugins
 for IceCat

Package: icecat-locale-as
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of IceCat
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: icecat-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for IceCat
 This package contains Asturian translations and search plugins
 for IceCat

Package: icecat-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Azerbaijani language pack for IceCat
 This package contains Azerbaijani translations and search plugins
 for IceCat

Package: icecat-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for IceCat
 This package contains Belarusian translations and search plugins
 for IceCat

Package: icecat-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for IceCat
 This package contains Bulgarian translations and search plugins
 for IceCat

Package: icecat-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for IceCat
 This package contains Bengali translations and search plugins
 for IceCat

Package: icecat-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for IceCat
 This package contains Breton translations and search plugins
 for IceCat

Package: icecat-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for IceCat
 This package contains Bosnian translations and search plugins
 for IceCat

Package: icecat-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for IceCat
 This package contains Catalan; Valencian translations and search plugins
 for IceCat

Package: icecat-locale-cak
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cak-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Kaqchikel language pack for IceCat
 This package contains Kaqchikel translations and search plugins
 for IceCat

Package: icecat-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Czech language pack for IceCat
 This package contains Czech translations and search plugins
 for IceCat

Package: icecat-locale-csb
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of IceCat
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: icecat-locale-cy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cy-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Welsh language pack for IceCat
 This package contains Welsh translations and search plugins
 for IceCat

Package: icecat-locale-da
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-da-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Danish language pack for IceCat
 This package contains Danish translations and search plugins
 for IceCat

Package: icecat-locale-de
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-de-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: German language pack for IceCat
 This package contains German translations and search plugins
 for IceCat

Package: icecat-locale-el
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-el-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Greek language pack for IceCat
 This package contains Greek translations and search plugins
 for IceCat

Package: icecat-locale-en
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-en-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: English language pack for IceCat
 This package contains English translations and search plugins
 for IceCat

Package: icecat-locale-eo
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eo-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Esperanto language pack for IceCat
 This package contains Esperanto translations and search plugins
 for IceCat

Package: icecat-locale-es
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-es-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Spanish; Castilian language pack for IceCat
 This package contains Spanish; Castilian translations and search plugins
 for IceCat

Package: icecat-locale-et
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-et-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Estonian language pack for IceCat
 This package contains Estonian translations and search plugins
 for IceCat

Package: icecat-locale-eu
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eu-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Basque language pack for IceCat
 This package contains Basque translations and search plugins
 for IceCat

Package: icecat-locale-fa
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fa-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Persian language pack for IceCat
 This package contains Persian translations and search plugins
 for IceCat

Package: icecat-locale-fi
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fi-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Finnish language pack for IceCat
 This package contains Finnish translations and search plugins
 for IceCat

Package: icecat-locale-fr
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fr-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: French language pack for IceCat
 This package contains French translations and search plugins
 for IceCat

Package: icecat-locale-fy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fy-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Western Frisian language pack for IceCat
 This package contains Western Frisian translations and search plugins
